import { UINode } from "./node";

export class Canvas extends UINode {
    private canvasElement: HTMLCanvasElement;
    public constructor(title: string) {
        super(title);
        this.canvasElement = document.createElement("canvas");
        
        this.canvasElement.setAttribute("tabindex", "-1");
        this.element.appendChild(this.canvasElement);
    }

    public focus() {
        this.canvasElement.focus();
    }

    public click() {
        this.canvasElement.click();
    }

    public getElement(): HTMLElement {
        return this.canvasElement;
    }
}